org.apache.solr.handler.component

## Class ResponseLogComponent

- java.lang.Object
- - org.apache.solr.handler.component.SearchComponent
  - - org.apache.solr.handler.component.ResponseLogComponent

- All Implemented Interfaces:
    SolrInfoMBean, NamedListInitializedPlugin

      public class ResponseLogComponent
      extends SearchComponent

  Adds to the log file the document IDs that are sent in the query response. If document scores are available in the response (by adding the pseudo- column 'score' to the field list) then each document ID will be followed by its score, as in:

       "... hits=55 responseLog=22:0.71231794,44:0.61231794 status=0 ..."

  Add it to a requestHandler in solrconfig.xml like this:

       <searchComponent name="responselog" class="solr.ResponseLogComponent"/>

       <requestHandler name="/select" class="solr.SearchHandler">
         <lst name="defaults">

           ...

         </lst>
         <arr name="components">
           <str>responselog</str>
         </arr>
       </requestHandler>

  It can then be enabled at query time by supplying

      responseLog=true

  query parameter.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_NAME`

    - ### Fields inherited from class org.apache.solr.handler.component.SearchComponent

      `standard_components`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseLogComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Simple one or two line description
    `void` | `prepare(ResponseBuilder rb)` Prepare the response.
    `void` | `process(ResponseBuilder rb)` Process the request for this component
    `protected void` | `processIds(ResponseBuilder rb, DocList dl, IndexSchema schema, SolrIndexSearcher searcher)`
    `protected void` | `processScores(ResponseBuilder rb, DocList dl, IndexSchema schema, SolrIndexSearcher searcher)`

    - ### Methods inherited from class org.apache.solr.handler.component.SearchComponent

      `distributedProcess, finishStage, getCategory, getDocs, getName, getSource, getStatistics, getVersion, handleResponses, init, modifyRequest, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_NAME

          public static final String COMPONENT_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ResponseLogComponent

          public ResponseLogComponent()

  - ### Method Detail

    - #### prepare

          public void prepare(ResponseBuilder rb)
                       throws IOException

      Description copied from class: `SearchComponent`
      Prepare the response. Guaranteed to be called before any SearchComponent `SearchComponent.process(org.apache.solr.handler.component.ResponseBuilder)` method. Called for every incoming request. The place to do initialization that is request dependent.
      Specified by:
        `prepare` in class `SearchComponent`
      Parameters:
        `rb` - The `ResponseBuilder`
      Throws:
        `IOException` - If there is a low-level I/O error.

    - #### process

          public void process(ResponseBuilder rb)
                       throws IOException

      Description copied from class: `SearchComponent`
      Process the request for this component
      Specified by:
        `process` in class `SearchComponent`
      Parameters:
        `rb` - The `ResponseBuilder`
      Throws:
        `IOException` - If there is a low-level I/O error.

    - #### processIds

          protected void processIds(ResponseBuilder rb,
                                    DocList dl,
                                    IndexSchema schema,
                                    SolrIndexSearcher searcher)
                             throws IOException

      Throws:
        `IOException`

    - #### processScores

          protected void processScores(ResponseBuilder rb,
                                       DocList dl,
                                       IndexSchema schema,
                                       SolrIndexSearcher searcher)
                                throws IOException

      Throws:
        `IOException`

    - #### getDescription

          public String getDescription()

      Description copied from interface: `SolrInfoMBean`
      Simple one or two line description
      Specified by:
        `getDescription` in interface `SolrInfoMBean`
      Specified by:
        `getDescription` in class `SearchComponent`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.